import java.util.Random;

/**
 * Deze klasse kan worden gebruikt om het project te testen
 */
public class Tester {
    
    private static final Random RG = new Random ();
    
    private static final String[] NAMEN = 
    { "Bart", "Piet", "Ann", "Mieke", "Els",
      "Koen", "Emma", "Louise", "Fred", "Leen",
      "Jan", "Johan", "Charlotte", "Ria", "Karel",
      "Alain", "Bea", "Rudy", "Lieve", "Gert"
    };
    
    /**
     * Genereert een 'willekeurige' naam
     */
    private String willekeurigeNaam () {
        return NAMEN[RG.nextInt(NAMEN.length)];
    }

    public Persoon willekeurigePersoon () {
        if (RG.nextBoolean()) {
            // arbeider, uurloon tussen 10 en 50 €
            Persoon persoon = new Persoon (
                willekeurigeNaam (),
                10 + RG.nextInt(41),
                true
            );
            // uren gewerkt tussen 140 en 225
            persoon.registreerUren (140 + RG.nextInt(86));
            return persoon;
        } else {
            // bediende, maandloon tussen 1500 en 3000
            return new Persoon (
                willekeurigeNaam (),
                1500 + RG.nextInt(1501),
                false
            );
        }
    }
    
    public Loonberekening willekeurigeBerekening (int aantalLeden) {
        Loonberekening berekening = new Loonberekening();
        for (int i=0; i < aantalLeden; i++) {
            berekening.registreerPersoon(willekeurigePersoon());
        }
        return berekening;
    }
}
